
clear
use Maeda2010BJPS.dta
set more off

gen xxx=(_n/10)-.1 in 1/51
tsset ccode _j

**********************divided samples
* model 1
xtpcse gv_cng u gv_ptot gv_pcng length1 effthr if clar==1,   hetonly

* model 2
xtpcse gv_cng u gv_ptot gv_pcng length1 effthr if clar==0,   hetonly

* model 3
xtpcse gv_cng u ou2 oppfrac2 gv_ptot gv_pcng length1 effthr if clar==1,   hetonly
matrix beta = e(b)
matrix vc = e(V)
mat list vc

* figure 2(a)
gen yyy3=beta[1,1] + (beta[1,2] * xxx)
gen se3=sqrt(vc[1,1] +(vc[2,2]*(xxx^2))+(2*vc[2,1]*xxx))
gen upci3=yyy3+(1.96*se3) if yyy3+(1.96*se3)<2
gen dnci3=yyy3-(1.96*se3)
twoway (line yyy3 xxx if xxx>=1 & xxx<=4, lpattern(solid) connect(direct)) (line upci3 xxx if xxx>=1 & xxx<=4, lpattern(shortdash) connect(direct)) (line dnci3 xxx if xxx>=1 & xxx<=4, lpattern(shortdash) connect(direct)), title((A) High Clarity Countries, size(huge) position(11) margin(medium)) ytitle(Conditional Effect, size(large) margin(small)) ylabel(-2(.5)1, labsize(large)) yline(0, lwidth(medium) lcolor(gray)) xtitle(ENOP, size(large) margin(small)) xlabel(1(1)4, labsize(large)) legend(off) scheme(s1mono) ysize(15) xsize(15)

* model 4
xtpcse gv_cng u ou2 oppfrac2 gv_ptot gv_pcng length1 effthr if clar==0,   hetonly
matrix beta = e(b)
matrix vc = e(V)

* figure 2(b)
gen yyy4=beta[1,1] + (beta[1,2] * xxx)
gen se4=sqrt(vc[1,1] +(vc[2,2]*(xxx^2))+(2*vc[2,1]*xxx))
gen upci4=yyy4+(1.96*se4)
gen dnci4=yyy4-(1.96*se4)
twoway (line yyy4 xxx if xxx>=1 & xxx<=4, lpattern(solid) connect(direct)) (line upci4 xxx if xxx>=1 & xxx<=4, lpattern(shortdash) connect(direct)) (line dnci4 xxx if xxx>=1 & xxx<=4, lpattern(shortdash) connect(direct)), title((B) Low Clarity Countries, size(huge) position(11) margin(medium)) ytitle(Conditional Effect, size(large) margin(small)) ylabel(-2(.5)1, labsize(large)) yline(0, lwidth(medium) lcolor(gray)) xtitle(ENOP, size(large) margin(small)) xlabel(1(1)4, labsize(large)) legend(off) scheme(s1mono) ysize(15) xsize(15)



**********************pooled

* model 5
xtpcse gv_cng u ou2 oppfrac2 cu claindex gv_ptot gv_pcng length1 effthr,   hetonly
matrix beta = e(b)
matrix vc = e(V)
mat list vc
predict xb, xb

corr enps_b oppfrac2 if e(sample)

* figure 1
histogram oppfrac2 if e(sample), bin(30) frequency scheme(s1mono) ytitle(Frequency, margin(medium) color(black) orientation(vertical)) xtitle(ENOP, margin(medium)) xscale(range(1 7)) xlabel(1(1)7) ysize(15) xsize(15)

* table 1
su gv_cng u oppfrac2 claindex gv_ptot gv_pcng length1 effthr if e(sample)


****** 4 graphs
su claindex if xb~=.
local numa=round(r(mean)-r(sd),.01)
local numb=round(r(mean)+r(sd),.01)
su oppfrac2 if xb~=.
local numc=max(1,round(r(mean)-r(sd),.01))
local numd=round(r(mean)+r(sd),.01)

****figure 3(a)
gen yyyc=beta[1,1] + beta[1,2]*xxx + beta[1,4]*`numa'
gen sec=sqrt( vc[1,1] + ((xxx^2)*vc[2,2]) + ((`numa'^2)*vc[4,4]) + (2*xxx*vc[1,2]) + (2*`numa'*vc[1,4]) + (2*xxx*`numa'*vc[2,4]) )
gen upcic=yyyc+(1.96*sec)
gen dncic=yyyc-(1.96*sec)
twoway (line yyyc xxx if xxx>=1 & xxx<=5, lpattern(solid) connect(direct)) (line upcic xxx if xxx>=1 & xxx<=5, lpattern(shortdash) connect(direct)) (line dncic xxx if xxx>=1 & xxx<=5, lpattern(shortdash) connect(direct)), ytitle(Conditional Effect, size(small) margin(medlarge)) ylabel(-1.5(.5)1, labsize(small)) yline(0, lwidth(medium) lcolor(gray)) xtitle(ENOP, size(small) margin(small)) xlabel(1(1)5, labsize(small)) note((A) When Clarity is `numa', size(medlarge) position(11) margin(medium)) legend(off) scheme(s1mono) ysize(15) xsize(15)

****figure 3(b)
gen yyyd=beta[1,1] + beta[1,2]*xxx + beta[1,4]*`numb'
gen sed=sqrt( vc[1,1] + ((xxx^2)*vc[2,2]) + ((`numb'^2)*vc[4,4]) + (2*xxx*vc[1,2]) + (2*`numb'*vc[1,4]) + (2*xxx*`numb'*vc[2,4]) )
gen upcid=yyyd+(1.96*sed)
gen dncid=yyyd-(1.96*sed)
twoway (line yyyd xxx if xxx>=1 & xxx<=5, lpattern(solid) connect(direct)) (line upcid xxx if xxx>=1 & xxx<=5, lpattern(shortdash) connect(direct)) (line dncid xxx if xxx>=1 & xxx<=5, lpattern(shortdash) connect(direct)), ytitle(Conditional Effect, size(small) margin(medlarge)) ylabel(-1.5(.5)1, labsize(small)) yline(0, lwidth(medium) lcolor(gray)) xtitle(ENOP, size(small) margin(small)) xlabel(1(1)5, labsize(small)) note((B) When Clarity is `numb', size(medlarge) position(11) margin(medium)) legend(off) scheme(s1mono) ysize(15) xsize(15)

****figure 3(c)
gen yyya=beta[1,1] + beta[1,2]*`numc' + beta[1,4]*xxx
gen sea=sqrt( vc[1,1] + ((`numc'^2)*vc[2,2]) + ((xxx^2)*vc[4,4]) + (2*`numc'*vc[1,2]) + (2*xxx*vc[1,4]) + (2*`numc'*xxx*vc[2,4]) )
gen upcia=yyya+(1.96*sea)
gen dncia=yyya-(1.96*sea)
twoway (line yyya xxx if xxx>=0 & xxx<=3.3, lpattern(solid) connect(direct)) (line upcia xxx if xxx>=0 & xxx<=3.3, lpattern(shortdash) connect(direct)) (line dncia xxx if xxx>=0 & xxx<=3.3, lpattern(shortdash) connect(direct)), ytitle(Conditional Effect, size(small) margin(medlarge)) ylabel(-1.5(.5)1, labsize(small)) yline(0, lwidth(medium) lcolor(gray)) xtitle(Clarity, size(small) margin(small)) xlabel(0(1)3.5, labsize(small)) note((C) When ENOP is `numc', size(medlarge) position(11) margin(medium)) legend(off) scheme(s1mono) ysize(15) xsize(15)

****figure 3(d)
gen yyyb=beta[1,1] + beta[1,2]*`numd' + beta[1,4]*xxx
gen seb=sqrt( vc[1,1] + ((`numd'^2)*vc[2,2]) + ((xxx^2)*vc[4,4]) + (2*`numd'*vc[1,2]) + (2*xxx*vc[1,4]) + (2*`numd'*xxx*vc[2,4]) )
gen upcib=yyyb+(1.96*seb)
gen dncib=yyyb-(1.96*seb)
twoway (line yyyb xxx if xxx>=0 & xxx<=3.3, lpattern(solid) connect(direct)) (line upcib xxx if xxx>=0 & xxx<=3.3, lpattern(shortdash) connect(direct)) (line dncib xxx if xxx>=0 & xxx<=3.3, lpattern(shortdash) connect(direct)), ytitle(Conditional Effect, size(small) margin(medlarge)) ylabel(-1.5(.5)1, labsize(small)) yline(0, lwidth(medium) lcolor(gray)) xtitle(Clarity, size(small) margin(small)) xlabel(0(1)3.5, labsize(small)) note((D) When ENOP is `numd', size(medlarge) position(11) margin(medium)) legend(off) scheme(s1mono) ysize(15) xsize(15)
